halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Pages
Public Types
hal::smart_ptr< T > Struct Template Reference

`#include <halDefs.h>`

List of all members.

## Public Types
typedef counted_ptr< T > | type

## Detailed Description

### template<typename T>
struct hal::smart_ptr< T >

Smart pointer type. Should be official one like boost::shared_ptr but we use this guy's to avoid the dependency for now. Goes in a struct because typedef doesn't support template arguments otherwise.

The documentation for this struct was generated from the following file:

- inc/halDefs.h